summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustaf Rydholm <gustaf.rydholm@gmail.com>2024-08-05 14:15:34 +0200
committerGustaf Rydholm <gustaf.rydholm@gmail.com>2024-08-05 14:15:34 +0200
commite9a0eef898a7f24b8da3020746d49602b4f71fcc (patch)
tree833081158fbc51924f237b521062901e0401d282
parent4bf064f37ae164b452320bdc45cf03c53d66a5b1 (diff)
Add start and shutdown scripts
-rwxr-xr-xshutdown4
-rwxr-xr-xstart10
2 files changed, 14 insertions, 0 deletions
diff --git a/shutdown b/shutdown
new file mode 100755
index 0000000..613b645
--- /dev/null
+++ b/shutdown
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+pidof ollama | xargs -r kill
+pidof qdrant | xargs -r kill
diff --git a/start b/start
new file mode 100755
index 0000000..bf93959
--- /dev/null
+++ b/start
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+pg_ctl start -D ~/projects/rag/data/postgres -l ~/projects/rag/data/postgres/server.log
+
+pidof qdrant 1>/dev/null && echo "qdrant already running..." || (
+ cd ~/projects/rag/data/qdrant
+ qdrant &
+)
+pidof ollama 1>/dev/null && echo "ollama already running..." || ollama serve &
+exit 0